#include <iostream>

#define MAXN 1000000

using namespace std;

int v[MAXN];

int main() {
    int n, k, a1, a2, f, c, i;

    cin >> n >> k;
    c = f = a1 = a2 = 0;
    for (i = 0; i < n; i++) {
        cin >> v[i];
        f += (v[i] == 1);
        if (a1 && a2) {
            c++;
            a1 = a2 = 0;
        } else {
            a1 = a1 || (v[i] == 1);
            a2 = a2 || (v[i] == 2);
        }
    }

    if (c >= k) {
        cout << 2;
    } else if (f >= k) {
        cout << 1;
    } else {
        cout << 0;
    }

    return 0;
}
